# development commands

__version__ = "$Revision: $"
# $Source: $
# $Id: $


from command import registry, Command
import mainwindow

do_profile = 0

def toggle_profiler(context):
    global do_profile
    do_profile = not do_profile


registry.Add(Command("toggle_profiler", "Toggle Profiler", toggle_profiler,
                     helptext = "Toggle whether the profiler should be used",
                     checked = lambda context: do_profile))

menu = mainwindow.main_menu.InsertMenu("devel", "&Development")
menu.InsertItem("toggle_profiler")

